%define upstream_name	 Time-Format
%define upstream_version 1.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl module for date and time formatting
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Time/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FindBin)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::Simple) >= 0.400.0
BuildRequires: perl(Time::Local) >= 1.70.0
BuildArch:  noarch

%description
Time::Format provides a very easy way to format dates and times. The
formatting functions are tied to hash variables, so they can be used
inside strings as well as in ordinary expressions. The formatting
codes used are meant to be easy to remember, use, and read. They
follow a simple, consistent pattern. 
%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README SIGNATURE
%{perl_vendorlib}/Time
%{_mandir}/man3/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.160.0-2.mga9
+ Revision: 1812408
- Mageia 9 Mass Rebuild

* Sat Feb 22 2020 shlomif <shlomif> 1.160.0-1.mga8
+ Revision: 1549299
- update to 1.16

* Sat Feb 15 2020 umeabot <umeabot> 1.150.0-2.mga8
+ Revision: 1528008
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Aug 05 2019 tv <tv> 1.150.0-1.mga8
+ Revision: 1427507
- update to 1.15

* Tue Jul 23 2019 tv <tv> 1.140.0-1.mga8
+ Revision: 1423521
- update to 1.14

* Fri Jul 19 2019 tv <tv> 1.130.0-1.mga8
+ Revision: 1422896
- update to 1.13

* Wed Sep 19 2018 umeabot <umeabot> 1.120.0-8.mga7
+ Revision: 1272376
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.120.0-7.mga6
+ Revision: 1035273
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.120.0-6.mga6
+ Revision: 946528
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.120.0-5.mga5
+ Revision: 739040
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.120.0-4.mga5
+ Revision: 686697
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.120.0-3.mga4
+ Revision: 515685
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.120.0-2.mga3
+ Revision: 374353
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 jquelin <jquelin> 1.120.0-1.mga3
+ Revision: 301304
- update to 1.12
- mageia rebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.110.0-1.mga1
+ Revision: 15544
- imported package perl-Time-Format


* Wed Aug 05 2009 Jérôme Quelin <jquelin@mandriva.org> 1.110.0-1mdv2010.0
+ Revision: 410098
- rebuild using %%perl_convert_version

* Sun Jun 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.11-1mdv2010.0
+ Revision: 387782
- update to new version 1.11

* Thu May 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.09-1mdv2009.0
+ Revision: 212937
- update to new version 1.09

* Wed May 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.08-1mdv2009.0
+ Revision: 212230
- update to new version 1.08

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.07-1mdv2009.0
+ Revision: 194957
- update to new version 1.07

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.02-1mdv2008.1
+ Revision: 136362
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Mar 17 2007 Anssi Hannula <anssi@mandriva.org> 1.02-1mdv2007.1
+ Revision: 145650
- intial package release for Mandriva

